#pragma once

#include "merger.h"

#include <saas/rtyserver/merger/interface/common.h>

class TMultipartArchiveMerger : public TRTYMerger::IMergerOperator {
public:
    TString GetName() const override;

    bool Merge(const std::atomic<bool>* /*stopKey*/, TMergeDocInfos& infos, const TRTYMerger::TContext& context) override;
};
